Forum

Results 1 to 12 of 12
  1. #1
    Join Date
    March 2017
    Posts
    2

    Ts3 for windows xp

    Dear friends and administrators
    i have windows xp sp3 and i want to
    install ts3 but the latest version
    is for vista and above
    any help will be appreciated
    thank you

  2. #2
    Join Date
    June 2008
    Posts
    18,151
    Windows XP is dead and not supported any longer.
    We are moving forward with the client and added features that require an operation system that offers the features we need.

    You have to use a newer operation system or the mobile client to use the latest client 3.1 (and newer)
    or you have to stay with the outdated Client 3.0.19.4.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  3. #3
    Join Date
    March 2017
    Posts
    2
    dear dante696
    Thank you for your reply
    The pc is old and I can’t use newer version of windows
    If I use the outdated client 3.0.19.4 as you say will I
    be able to hear and communicate with other people using
    the client 3.1 and newer?
    Thank you
    Best regards

  4. #4
    Join Date
    June 2011
    Location
    Germany
    Posts
    4,350
    Yes.
    fa÷knsfghaslgagagagadadadadsafa

  5. #5
    Join Date
    May 2018
    Location
    Hungary
    Posts
    2
    Quote Originally Posted by dante696 View Post
    Windows XP is dead and not supported any longer.
    We are moving forward with the client and added features that require an operation system that offers the features we need.
    Windows XP is not dead. It's still used by 100 million people. At least four times as much people that use desktop Linux, and the same amount that use Mac OS. Both are your supported platforms. An operating system with this wide userbase does deserve continued support, let alone the low extra effort you should put into it.

    TeamSpeak users don't need new features. They need stability and security. Please fork an LTS version of 3.0.19.4 and support it with bugfix-only releases for Windows XP.

  6. #6
    Join Date
    December 2007
    Location
    Italy
    Posts
    11
    Quote Originally Posted by dante696 View Post
    [U]or you have to stay with the outdated Client 3.0.19.4.
    seems current 3.2.0 server does not accept incoming 3.0.19 client connection.
    Where we can download the paired Teamspeak server Linux 64bit (or 32 bit) that accept 3.0.19 client connection?
    thank you
    Last edited by efa20; July 24th, 2018 at 12:30 PM.

  7. #7
    Join Date
    December 2007
    Location
    Italy
    Posts
    11
    thank you for support, 4players.de has the 3.0.13.8 server version that works

  8. #8
    Join Date
    December 2015
    Posts
    270
    I will never understand how people are willingly to use such old software that has probably more security holes than a Swiss chess.
    But well, if people are pleased by that... »\_(ツ)_/»

  9. #9
    Join Date
    December 2007
    Location
    Italy
    Posts
    11
    TS server 3.0.13.8 was released on 2017-07-19 a year ago
    we run it over a LAN isolated from internet, no risk

  10. #10
    Join Date
    August 2018
    Posts
    1
    Quote Originally Posted by dante696 View Post
    Windows XP is dead and not supported any longer.
    We are moving forward with the client and added features that require an operation system that offers the features we need.

    You have to use a newer operation system or the mobile client to use the latest client 3.1 (and newer)
    or you have to stay with the outdated Client 3.0.19.4.
    Why kill of teamspeak for XP? Still used by more the 100 million worldwide. Why can't you allow the last version of Teamspeak3 for xp to remain active? Good grief, even windows 7 will be dead in 2020. Microsoft is going to kill that too.

  11. #11
    Join Date
    August 2018
    Posts
    1

    Client 3.0.19.4 incompatible with latest server version

    Latest XP teamspeak client 3.0.19.4 is not compatible with the latest server version anymore (3.3.0)
    Can something be done about this except upgrading the OS? Unlike discord we can't use a web version of teamspeak.
    Last edited by dante696; August 24th, 2018 at 10:22 AM. Reason: merged

  12. #12
    Join Date
    September 2018
    Posts
    1

    Server v3.3.0 Windows XP

    Hello, I have Win XP, and my friends are using server on v3.3.0, but I cant connect there, every time I will get error that I have to update TS, but I have last version for XP, v3.0.19.4 of TS3
    Attached Images Attached Images  

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Change text to speech voice in windows 10 back to the one in windows 8/7
    By xalitust in forum Skins / Icon & Sound Packs
    Replies: 1
    Last Post: June 28th, 2016, 09:11 AM
  2. [Already possible] Black and white tray icon to better match Windows 8, Windows 10, KDE, OS X
    By YAOMTC in forum Suggestions and Feedback
    Replies: 1
    Last Post: April 18th, 2016, 07:33 AM
  3. Replies: 4
    Last Post: January 23rd, 2014, 11:21 AM
  4. Replies: 2
    Last Post: July 7th, 2013, 08:15 PM
  5. Replies: 5
    Last Post: June 28th, 2012, 08:25 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •